#ifndef __NACC_DATA_H
#define __NACC_DATA_H


static const char* cntrlCodes[] = {
"{RCL}", "{BS}", "{AOF}", "{AON}", "{DER}", "{RU2}", "{RU3}", "{RU4}", "{FON}",
"{RDC}", "{TR}", "{RTD}", "{EDM}", "{CR}", "{ENM}", "{EOC}",
"{TO1}", "{TO2}", "{TO3}" };


static const char* preambleCode[16] = {
"White", "Green", "Blue", "Cyan", "Red", "Yellow", "Magenta", "Italics",
"Col. 0, White",  "Col. 4, White",  "Col. 8, White",  "Col. 12, White",
"Col. 16, White", "Col. 20, White", "Col. 24, White", "Col. 28, White" };

static const char* midRowCode[8] = {
"White", "Green", "Blue", "Cyan", "Red",
"Yellow", "Magenta", "Italics" };

static const char* underlineCode[] = {
"No Underline",
"Underline" };

static const uint8_t ext1Char[16] = {
0xAE, // Registered mark
0xB0, // Degree
0xBD, // 1/2
0xBF, // upside down ?
0x99, // TM mark
0xA2, // cent symbol
0xA3, // English pound symbol
//0x89, // Musical notes (Using %)
0x01, // Musical notes (Using 0x01)
0xE0, // a with accent mark
0x00, // Transparent space (using '\0')
0xE8, // e with accent mark
0xE2, // a with circumflex
0xEA, // e with circumflex
0xEE, // i with circumflex
0xF4, // o with circumflex
0xFB  // u with circumflex
};


static const uint8_t ext2Char[32] = {
0xC1, // A with acute accent
0xC9, // E with acute accent
0xD3, // O with acute accent
0xDA, // U with acute accent
0xDC, // U with diaeresis or umlat
0xFC, // u with diaeresis or umlat
0x60, // Opening single quote (`)
0xA1, // inverted exclamation mark
0x2A, // Asterisk (*)
0x27, // Plain single quote (')
0x5F, // EM Dash (_)
0xA9, // Copyright mark
0x99, // Service Mark (SM) (Using TM)
0x95, // Round Bullet;
0x22, // Opening quote (using ")
0x22, // Closing quote (using ")
0xC0, // A with grave accent
0xC2, // A with circumflex accent
0xC7, // C with cedilla
0xC8, // E with grave accent
0xCA, // E with circumflex accent
0xCB, // E with diaeresis or umlaut mark
0xEB, // e with diaeresis or umlaut mark
0xCE, // I with circumflex accent
0xCF, // I with diaeresis or umlaut mark
0xEF, // i with diaeresis or umlaut mark
0xD4, // O with cicumflex
0xD9, // U with grave accent
0xF9, // u with grave accent
0xDB, // U with circumflex
0xAB, // opening guillemets
0xBB  // closing guillemets
};


static const uint8_t ext3Char[32] = {
0xC3, // A with tilde
0xe3, // a with tilde
0xcd, // I with accute accent
0xcc, // I with grave accent
0xec, // i with grave accent
0xd2, // O with grave accent
0xf2, // o with grave accent
0xd5, // O with tilde
0xf5, // o with tilde
0x7b, // opening brace ({)
0x7d, // closing brace (})
0x5c, // backslash (\)
0x5e, // caret (^)
0x5f, // underbar (_)
0x7c, // pipe (|)
0x7e, // tilde (~)
0xc4, // A with diaeresis or umlaut mark
0xe4, // a with diaeresis or umlaut mark
0xd6, // O with diaeresis or umlaut mark
0xf6, // o with diaeresis or umlaut mark
0xdf, // small sharp s --- ????
0xa5, // Yen
0xa4, // non-specific currency sign
0x7c, // Vertical bar (using | - needs to extend to upper/lower characters)
0xc5, // A with a ring
0xe5, // a with a ring
0xd8, // O with a slash
0xf8, // o with a slash
0x90, // upper left corner --- no character
0x90, // upper right corner --- no character
0x90, // lower left corner --- no character
0x90 // lower right corner --- no character
};


#endif //__NACC_DATA_H
